unit Unit2; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ColorBox;

type

  { TForm2 }

  TForm2 = class(TForm)
    ColorBox1: TColorBox;
    ColorBox2: TColorBox;
    ComboBox1: TComboBox;
    ComboBox2: TComboBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    procedure ColorBox1Change(Sender: TObject);
    procedure ColorBox2Change(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure ComboBox2Change(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form2: TForm2; 

implementation
uses Unit1;

{ TForm2 }

procedure TForm2.ColorBox1Change(Sender: TObject);
begin
  Form1Color:=ColorBox1.Selected;
  Form1.Color:=ColorBox1.Selected;
  Form1.Memo1.Color:=ColorBox1.Selected;
end;

procedure TForm2.ColorBox2Change(Sender: TObject);
begin
  Font1Color:=ColorBox2.Selected;
  Form1.Memo1.Font.Color:=ColorBox2.Selected;
end;

procedure TForm2.ComboBox1Change(Sender: TObject);
begin
  case ComboBox1.ItemIndex of
      0: Form1.Memo1.Font.Size:=12;
      1: Form1.Memo1.Font.Size:=13;
      2: Form1.Memo1.Font.Size:=14;
      3: Form1.Memo1.Font.Size:=15;
      4: Form1.Memo1.Font.Size:=16;
      5: Form1.Memo1.Font.Size:=17;
      6: Form1.Memo1.Font.Size:=19;
      7: Form1.Memo1.Font.Size:=20;
      8: Form1.Memo1.Font.Size:=22;
      9: Form1.Memo1.Font.Size:=30;
      10: Form1.Memo1.Font.Size:=40;
      11: Form1.Memo1.Font.Size:=50;
      12: Form1.Memo1.Font.Size:=60;
      13: Form1.Memo1.Font.Size:=70;
      14: Form1.Memo1.Font.Size:=80;
      15: Form1.Memo1.Font.Size:=90;
      16: Form1.Memo1.Font.Size:=100;
  end; // case
  FontSize:=Form1.Memo1.Font.Size;
end;

procedure TForm2.ComboBox2Change(Sender: TObject);
begin
  case ComboBox2.ItemIndex of
      0: speed:=1;
      1: speed:=2;
      2: speed:=3;
      3: speed:=4;
      4: speed:=5;
      5: speed:=6;
      6: speed:=7;
      7: speed:=8;
      8: speed:=9;
      9: speed:=10;
     10: speed:=14;
     11: speed:=21;
     12: speed:=22;
     13: speed:=35;
     14: speed:=60;
     15: speed:=66;
  end;
  nspeed:=speed;
end;

{$R *.lfm}

end.

